> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Create Folder Batch Check

POST https://api.dropboxapi.com/2/files/create_folder_batch/check
Content-Type: application/json

Returns the status of an asynchronous job for [create_folder_batch](api:dropbox-api:POST/2/files/create_folder_batch). If success, it
 returns list of result for each entry.

**Required scope:** `files.content.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Team Admin)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/files/create-folder-batch-check

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Select-Admin` (string, optional) — Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

### Body (application/json)

This endpoint expects an object.

- `async_job_id` (string, required) — Id of the asynchronous job. This is the value of a response returned from the method that launched the job.

## Response

### 200

Successful response

- `object or object or object or object`
  - files.CreateFolderBatchJobStatus.in_progress
    - `.tag` (enum, required)
      - Allowed values: `in_progress`
  - files.CreateFolderBatchJobStatus.complete
    - `.tag` (enum, required)
      - Allowed values: `complete`
    - `entries` (list of object or object, required) — Each entry in `CreateFolderBatchArg.paths` will appear at the same position inside `CreateFolderBatchResult.entries`.
      - files.CreateFolderBatchResultEntry.success
        - `.tag` (enum, required)
          - Allowed values: `success`
        - `metadata` (object, required) — Metadata of the created folder.
          - `id` (string, required) — A unique identifier for the folder.
          - `name` (string, required) — The last component of the path (including extension). This never contains a slash.
          - `path_display` (string, optional, nullable) — The cased path to be used for display purposes only. In rare instances the casing will not correctly match the user's filesystem, but this behavior will match the path provided in the Core API v1, and at least the last path component will have the correct casing. Changes to only the casing of paths won't be returned by [list_folder/continue](api:dropbox-api:POST/2/files/list_folder/continue). This field will be null if the file or folder is not mounted.
          - `path_lower` (string, optional, nullable) — The lowercased full path in the user's Dropbox. This always starts with a slash. This field will be null if the file or folder is not mounted.
          - `preview_url` (string, optional, nullable) — The preview URL of the file.
          - `property_groups` (list of object, optional, nullable) — Additional information if the file has custom properties with the property template specified. Note that only properties associated with user-owned templates, not team-owned templates, can be attached to folders.
            - `fields` (list of object, required) — The actual properties associated with the template. There can be up to 32 property types per template.
            - `template_id` (string, required) — A unique identifier for the associated template.
          - `sharing_info` (object, optional, nullable) — Set if the folder is contained in a shared folder or is a shared folder mount point.
            - `read_only` (boolean, required) — True if the file or folder is inside a read-only shared folder.
            - `no_access` (boolean, optional) — Specifies that the folder cannot be accessed by the user.
            - `parent_shared_folder_id` (any, optional, nullable) — Set if the folder is contained by a shared folder.
            - `shared_folder_id` (any, optional, nullable) — If this folder is a shared folder mount point, the ID of the shared folder mounted at this location.
            - `traverse_only` (boolean, optional) — Specifies that the folder can only be traversed and the user can only see a limited subset of the contents of this folder because they don't have read access to this folder. They do, however, have access to some sub folder.
          - `parent_shared_folder_id` (any, optional, nullable, deprecated) — Please use `FileSharingInfo.parent_shared_folder_id` or `FolderSharingInfo.parent_shared_folder_id` instead.
          - `shared_folder_id` (any, optional, nullable, deprecated) — Please use `sharing_info` instead.
      - files.CreateFolderBatchResultEntry.failure
        - `.tag` (enum, required)
          - Allowed values: `failure`
        - `failure` (object or object, required)
          - files.CreateFolderEntryError.path
            - `.tag` (enum, required)
            - `path` (object or object or object or object or object or object or object or object or object or object or object or object, required)
          - Other
            - `.tag` (string, optional)
  - files.CreateFolderBatchJobStatus.failed
    - `.tag` (enum, required)
      - Allowed values: `failed`
    - `failed` (object or object, required)
      - files.CreateFolderBatchError.too_many_files
        - `.tag` (enum, required)
          - Allowed values: `too_many_files`
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object, required) — Error returned by methods for polling the status of asynchronous job.
  - async_common.PollError.invalid_async_job_id
    - `.tag` (enum, required)
      - Allowed values: `invalid_async_job_id`
  - async_common.PollError.internal_error
    - `.tag` (enum, required)
      - Allowed values: `internal_error`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "async_job_id": "34g93hh34h04y384084"
}
```

**Response**

```json
{
  ".tag": "complete",
  "entries": [
    {
      ".tag": "success",
      "metadata": {
        "id": "id:a4ayc_80_OEAAAAAAAAAXz",
        "name": "math",
        "path_display": "/Homework/math",
        "path_lower": "/homework/math",
        "property_groups": [
          {
            "fields": [
              {
                "name": "Security Policy",
                "value": "Confidential"
              }
            ],
            "template_id": "ptid:1a5n2i6d3OYEAAAAAAAAAYa"
          }
        ],
        "sharing_info": {
          "parent_shared_folder_id": "84528192421",
          "read_only": false
        }
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/files/create_folder_batch/check"

payload = { "async_job_id": "34g93hh34h04y384084" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/files/create_folder_batch/check';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"async_job_id":"34g93hh34h04y384084"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/files/create_folder_batch/check"

	payload := strings.NewReader("{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/files/create_folder_batch/check")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/files/create_folder_batch/check")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/files/create_folder_batch/check', [
  'body' => '{
  "async_job_id": "34g93hh34h04y384084"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/files/create_folder_batch/check");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["async_job_id": "34g93hh34h04y384084"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/files/create_folder_batch/check")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```